biterp

Get payment method by code

GET
/payment-methods/code/{code}
AuthorizationBearer <token>

In: header

Path Parameters

code*unknown

Payment method code (e.g., pix, credit_card)

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://api.biterp.ai/payment-methods/code/{code}"
{
  "id": "string",
  "code": "string",
  "country_codes": [
    "string"
  ],
  "titles": {
    "property1": "string",
    "property2": "string"
  },
  "descriptions": {
    "property1": "string",
    "property2": "string"
  },
  "is_blocked": true,
  "display_order": 0,
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "deleted_at": "2019-08-24T14:15:22Z"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}
{
  "statusCode": 404,
  "message": "Customer not found",
  "error": "Not Found",
  "code": "CUSTOMER_NOT_FOUND"
}